using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Text;
using System.IO;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;


namespace RibbonControlAdv_2005
{
    public partial class Form1 : RibbonForm
    {
        #region Constructor
        public Form1()
        {
            InitializeComponent();
            this.gradientPanel1.Visible = false;
            this.richTextBox1.Visible = false;
            this.gridControl1.Visible = false;
            
            //To host any .Net control into ToolStripEx, StatusStrip,
            // User can make use of ToolStripControlHost class
            // and host the control inside it and add the host
            // to item collection.
            ToolStripControlHost host1 = new ToolStripControlHost(this.treeViewAdv1);
            this.toolStripEx25.Items.Add(host1);
            ToolStripControlHost host2 = new ToolStripControlHost(this.gridControl1);
            this.toolStripEx26.Items.Add(host2);

               
        }
        #endregion

        #region ColorScheme

        private void ColorSchemeButton_Click(object sender, EventArgs e)
        {
            ToolStripButton toolStripButton = sender as ToolStripButton;
            if (toolStripButton == this.toolStripButton29)
            {
                if (toolStripButton.Checked)
                {
                  this.ribbonControlAdv1.OfficeColorScheme = ToolStripEx.ColorScheme.Blue;
                   this.ColorScheme = Syncfusion.Windows.Forms.Tools.RibbonForm.ColorSchemeType.Blue;
                    this.toolStripButton30.Checked = false;
                    this.toolStripButton31.Checked = false;
                }
            }
            if (toolStripButton == this.toolStripButton30)
            {
                if (toolStripButton.Checked)
                {
                  this.ribbonControlAdv1.OfficeColorScheme = ToolStripEx.ColorScheme.Silver;
                    this.ColorScheme = Syncfusion.Windows.Forms.Tools.RibbonForm.ColorSchemeType.Silver;
                    this.toolStripButton29.Checked = false;
                    this.toolStripButton31.Checked = false;
                
                }
            }
            if (toolStripButton == this.toolStripButton31)
            {
                if (toolStripButton.Checked)
                {
                  this.ribbonControlAdv1.OfficeColorScheme = ToolStripEx.ColorScheme.Black;
                    this.ColorScheme = Syncfusion.Windows.Forms.Tools.RibbonForm.ColorSchemeType.Black;
                    this.toolStripButton29.Checked = false;
                    this.toolStripButton30.Checked = false;
                
                }
            }
        }
        #endregion

        #region Launcher
        private void LauncherButton_Click(object sender, EventArgs e)
        {
            ToolStripButton toolStripButton = sender as ToolStripButton;
            if (toolStripButton == this.toolStripButton32)
            {
                if (toolStripButton.Checked)
                {
                  this.ribbonControlAdv1.LauncherStyle = LauncherStyle.Office12;
                    this.toolStripButton33.Checked = false;

                }
            }
            if (toolStripButton == this.toolStripButton33)
            {
                if (toolStripButton.Checked)
                {
                  this.ribbonControlAdv1.LauncherStyle = LauncherStyle.Office2007;
                    this.toolStripButton32.Checked = false;
            
                }
            }
          
        }

        private void toolStripButton34_Click(object sender, EventArgs e)
        {
            if (toolStripButton34.Checked)
            {
              this.ribbonControlAdv1.ShowLauncher = true;
            }
            else
            {
              this.ribbonControlAdv1.ShowLauncher = false;
            }
            
        }
#endregion

        #region QuickPanel

        private void toolStripButton37_Click(object sender, EventArgs e)
        {

            if (toolStripButton37.Checked)
            {
              this.ribbonControlAdv1.QuickPanelVisible = true;
            }
            else
            {
              this.ribbonControlAdv1.QuickPanelVisible = false;
            }

        }
        private void QuickPanelToolStripButton_Click(object sender, EventArgs e)
        {
            ToolStripButton toolStripButton = sender as ToolStripButton;
            if (toolStripButton == this.toolStripButton35)
            {
                if (toolStripButton.Checked)
                {
                  this.ribbonControlAdv1.ShowQuickPanelBelowRibbon = false;
                    this.toolStripButton36.Checked = false;

                }
            }
            if (toolStripButton == this.toolStripButton36)
            {
                if (toolStripButton.Checked)
                {
                  this.ribbonControlAdv1.ShowQuickPanelBelowRibbon = true;
                    this.toolStripButton35.Checked = false;

                }
            }

        }
        #endregion

        #region MenuButton
        private void toolStripButton38_CheckStateChanged(object sender, EventArgs e)
        {
            if (this.toolStripButton38.Checked)
            {
                Image img = Image.FromFile("../../Data/fSEARCH_00.gif");
              this.ribbonControlAdv1.MenuButtonImage = img;
            }
            else
            {
                Image img = Image.FromFile("../../Data/sync_icon.ico");
                this.ribbonControlAdv1.MenuButtonImage = img;
            }
        }

        private void toolStripButton28_Click(object sender, EventArgs e)
        {
            if (this.toolStripButton28.Checked)
            {
              this.ribbonControlAdv1.MenuButtonVisible = true;
            }
            else
            {
              this.ribbonControlAdv1.MenuButtonVisible = false;
            }
        }
        #endregion

        #region Gallery
        private void numericUpDownExt2_ValueChanged(object sender, EventArgs e)
        {
            this.toolStripGallery2.DropDownDimensions = new System.Drawing.Size(Convert.ToInt16(this.numericUpDownExt2.Value), 0);
        }

        private void numericUpDownExt1_ValueChanged(object sender, EventArgs e)
        {
          this.toolStripGallery2.Dimensions = new System.Drawing.Size(Convert.ToInt16(this.numericUpDownExt1.Value), 0);                        
         
        }

        private void ToolStripTabItem_Click(object sender, EventArgs e)
        {
            ToolStripTabItem toolStripTabItem = sender as ToolStripTabItem;
            if (toolStripTabItem == this.toolStripTabItem4)
            {
                this.gradientPanel1.Visible = true;
                this.richTextBox1.Visible = false;
            }
            else if (toolStripTabItem == this.toolStripTabItem9)
            {
                this.gradientPanel1.Visible = false;
                this.richTextBox1.Visible = true;
                this.richTextBox1.Dock = DockStyle.Fill;
               
			}
           else
           {
                this.gradientPanel1.Visible = false;
                this.richTextBox1.Visible = false;
                }

           
        }


        #endregion
 
        #region MenuButtonDropDown
        private void toolStripButton44_CheckStateChanged(object sender, EventArgs e)
        {
            if (this.toolStripButton44.Checked)
            {
                this.ribbonControlAdv1.MenuButtonDropDown = this.contextMenuStripEx1;
            }
           
        }
        #endregion

        #region CaptionTextStyle
        private void TextStyleToolStripButton_Click(object sender, EventArgs e)
        {
            ToolStripButton toolStripButton = sender as ToolStripButton;
            if (toolStripButton == this.toolStripButton48)
            {
                this.toolStripButton49.Checked = false;
                this.toolStripButton50.Checked = false;
            }
            if (this.toolStripButton48.Checked)
            {
              this.ribbonControlAdv1.CaptionTextStyle = CaptionTextStyle.Plain;
            }
            if (toolStripButton == this.toolStripButton49)
            {
                this.toolStripButton48.Checked = false;
                this.toolStripButton50.Checked = false;
            }
            if (this.toolStripButton49.Checked)
            {
              this.ribbonControlAdv1.CaptionTextStyle = CaptionTextStyle.Etched;
            }
            if (toolStripButton == this.toolStripButton50)
            {
                this.toolStripButton48.Checked = false;
                this.toolStripButton49.Checked = false;
            }
            if (this.toolStripButton50.Checked)
            {
              this.ribbonControlAdv1.CaptionTextStyle = CaptionTextStyle.Shadow;
            }

        }
            #endregion

        #region TabGroupColor
        private void GroupColorToolStripButton_Click(object sender, EventArgs e)
        {
            ToolStripButton toolStripButton = sender as ToolStripButton;
            if (toolStripButton == this.toolStripButton51)
            {
                if (this.toolStripButton51.Checked)
                {
                    this.toolStripTabGroup1 = new ToolStripTabGroup();
                    this.toolStripTabGroup1.Visible = true;
                   this.toolStripTabGroup1.Name = "TabGroup";
                    this.toolStripTabGroup1.Color = Color.FromArgb(113, 215, 62);
                 this.ribbonControlAdv1.TabGroups.Add(this.toolStripTabGroup1);
                 this.ribbonControlAdv1.TabGroups.SetTabGroup(this.toolStripTabItem4, this.toolStripTabGroup1);
                 this.ribbonControlAdv1.TabGroups.SetTabGroup(this.toolStripTabItem5, this.toolStripTabGroup1);
                 this.toolStripButton52.Checked = false;
                }
            }
            if (toolStripButton == this.toolStripButton52)
            {
                if (this.toolStripButton52.Checked)
                {
                    this.toolStripTabGroup1 = new ToolStripTabGroup();
                    this.toolStripTabGroup1.Visible = true;
                    this.toolStripTabGroup1.Name = "TabGroup";
                    this.toolStripTabGroup1.Color = Color.FromArgb(247, 94, 217);
                    this.ribbonControlAdv1.TabGroups.Add(this.toolStripTabGroup1);
                    this.ribbonControlAdv1.TabGroups.SetTabGroup(this.toolStripTabItem4, this.toolStripTabGroup1);
                    this.ribbonControlAdv1.TabGroups.SetTabGroup(this.toolStripTabItem5, this.toolStripTabGroup1);
                      this.toolStripButton51.Checked = false;
                }
                    
            }
        }
        #endregion
             
        #region Form_Load
        private void Form1_Load(object sender, EventArgs e)
        {
            string path = Application.StartupPath.ToString() + @"..\..\..\Introduction.rtf";
            if (File.Exists(path))
                this.richTextBox1.LoadFile(path, RichTextBoxStreamType.RichText);

        }
#endregion

        #region Launcher_Click
        private void Launcher_Click(object sender, EventArgs e)
        {
            ToolStripEx toolStripEx = sender as ToolStripEx;
            if (toolStripEx.Text == "Launcher")
            {
                this.statusStripButton1.Text = "Launcher ToolStripEx Launcher clicked";
            }
            else if (toolStripEx.Text == "3 Rows")
            {
                this.statusStripButton1.Text = "Panel - 3 Rows, Launcher clicked";
            }
            else
            {
                this.statusStripButton1.Text = toolStripEx.Text + " Launcher clicked";
            }
        }
        #endregion

    }
}